Package com.independentsoft.office.drawing.extensions

# Class CompatibilityExtension

java.lang.Object
com.independentsoft.office.drawing.extensions.CompatibilityExtension

All Implemented Interfaces:
  `IExtensionContent`

public class CompatibilityExtension extends Object implements IExtensionContent
Represents the shape-compatibility extension (`a14:compatExt`) that links a DrawingML shape to its legacy VML shape id (`spid`) (uri `{63B3BB69-23CF-44E3-9099-C40C66FF867C}`).

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static String`
  `NAMESPACE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CompatibilityExtension()`
  Instantiates a new compatibility extension.
  `CompatibilityExtension​(InternalXMLStreamReader reader)`
  Instantiates a new compatibility extension.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IExtensionContent`
  `clone()`
  Clone.
  `String`
  `getSpid()`
  Gets the legacy VML shape id.
  `void`
  `setSpid​(String spid)`
  Sets the legacy VML shape id.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### NAMESPACE

    public static final String NAMESPACE
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### CompatibilityExtension

    public CompatibilityExtension()
    Instantiates a new compatibility extension.

  - ### CompatibilityExtension

    public CompatibilityExtension​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new compatibility extension.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the XML stream exception

- ## Method Details

  - ### clone

    public IExtensionContent clone()
    Description copied from interface: `IExtensionContent`
    Clone.
    Specified by:
      `clone` in interface `IExtensionContent`
    Overrides:
      `clone` in class `Object`
    Returns:
      the extension content

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getSpid

    public String getSpid()
    Gets the legacy VML shape id.
    Returns:
      the legacy VML shape id

  - ### setSpid

    public void setSpid​(String spid)
    Sets the legacy VML shape id.
    Parameters:
      `spid` - the new legacy VML shape id